package com.crm.rely.backend.core.dto.finance.withdraw.automatic;

import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawProxpayDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;
    private String name;
    private String refCustomerId;
    private String bankName;
    private String bookBankNumber;
    private String bookBankName;
    private String bookBankBranch;
    private BigDecimal amount;
    private String preferCurrency;
    public FinanceWithdrawProxpayDto() {
        params = new LinkedHashMap<>();

        paramsEn = new LinkedHashMap<>();
        params.put("name", "name");
        params.put("refCustomerId", "refCustomerId");
        params.put("bankName", "bankName");
        params.put("bookBankNumber", "bookBankNumber");
        params.put("bookBankName", "bookBankName");
        params.put("amount", "amount");
        params.put("preferCurrency", "preferCurrency");


        paramsEn.put("name", "name");
        paramsEn.put("refCustomerId", "refCustomerId");
        paramsEn.put("bankName", "bankName");
        paramsEn.put("bookBankNumber", "bookBankNumber");
        paramsEn.put("bookBankName", "bookBankName");
        paramsEn.put("amount", "amount");
        paramsEn.put("preferCurrency", "preferCurrency");
    }


}
